pomp2_lib.h File Reference

This file contains the declarations of all POMP2 functions. More...

`#include <stddef.h>`
`#include <stdint.h>`

Go to the source code of this file.

## Typedefs

typedef void * | OPARI2_Region_handle

## Functions

void | POMP2_Assign_handle (POMP2_Region_handle *pomp2_handle, const char ctc_string[])
POMP2_Task_handle | POMP2_Get_new_task_handle (void)
Functions generated by the instrumenter
size_t | POMP2_Get_num_regions (void)
void | POMP2_Init_regions (void)
const char * | POMP2_Get_opari2_version (void)

## Detailed Description

This file contains the declarations of all POMP2 functions.

## Typedef Documentation

typedef void* OPARI2_Region_handle

Handles to identify OpenMP regions. To avoid multiple typedefs of OPARI2_Region_handle

## Function Documentation

void POMP2_Assign_handle | ( | POMP2_Region_handle * | pomp2_handle,
|  | const char | ctc_string[]
| ) |  |

Create a unique mapping between ctc_string and the implementation-defined pomp2_handle. Be aware that POMP2_Assign_handle() is called from POMP2_Init_regions() in a serial context but might get called concurrently as well.

POMP2_Task_handle POMP2_Get_new_task_handle | ( | void |  | ) |

Function that returns a new task handle.

Returns
  new task handle

size_t POMP2_Get_num_regions | ( | void |  | ) |

Returns the number of instrumented regions.
The instrumenter scans all OPARI2-created include files with nm and greps the POMP2_INIT_uuid_numRegions() function calls. Here we return the sum of all numRegions.

Returns
  number of instrumented regions

const char* POMP2_Get_opari2_version | ( | void |  | ) |

Returns the OPARI2 version.

Returns
  version string

void POMP2_Init_regions | ( | void |  | ) |

Init all OPARI2-created regions.
The instrumentor scans all OPARI2-created include files with nm and greps the POMP2_INIT_uuid_numRegions() function calls. The instrumentor then defines these functions by calling all grepped functions.